=== debian/changelog ===
fastforward (1:0.51-6) unstable; urgency=medium

  * QA upload.
  * Bump version to 1:0.51-6 to not reuse a version number that was used
    before the epoch was added (last pre-epoch upload was 0.51-5.1). This
    avoids clashes on filenames in the archive (versions in filenames don't
    include the epoch).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 May 2019 09:09:15 +0200

fastforward (1:0.51-4) unstable; urgency=medium

  * QA upload.
  * Set Maintainer field to QA group
  * wrap-and-sort -sta
  * Update standards version to 4.3.0 (no changes needed)
  * Update Vcs-* fields in `debian/control'
  * Convert package to debhelper and source format 3.0 (quilt)
  * wrap-and-sort -sta
  * Replace deprecated priority `extra' with `optional'
  * Add Homepage field into `debian/control'

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 12 Jan 2019 23:29:15 +0000

fastforward (1:0.51-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the build reproducible. (Closes: #776972)

 -- Chris Lamb <lamby@debian.org>  Sun, 20 Aug 2017 10:23:03 -0700

fastforward (1:0.51-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Harry Sintonen to fix segfaults on 64bit.
    (Closes: #859327)

 -- Adrian Bunk <bunk@debian.org>  Wed, 26 Jul 2017 18:15:43 +0300

fastforward (1:0.51-3) unstable; urgency=low

  * debian/rules: install the fastforward's newaliases program as
    /usr/sbin/qmail-newaliases to avoid conflict.
  * debian/sbin: remove; obsolete.
  * debian/fastforward.README.Debian: talk about newaliases being
    installed as /usr/sbin/qmail-newaliases, and the qmail-run package.
  * debian/rules: install newaliases.1 man page as
    /usr/share/man/man1/qmail-newaliases.1.
  * debian/rules: no longer install ~alias/.qmail-default (again).
  * debian/fastforward.postinst, debian/fastforward.postrm: create
    ~alias/.qmail-default if it doesn't exist; remove on purge.

 -- Gerrit Pape <pape@smarden.org>  Tue, 09 Mar 2010 00:40:49 +0000

fastforward (1:0.51-2) unstable; urgency=low

  * debian/rules: install ~alias/.qmail-default again.
  * debian/fastforward.examples: remove; obsolete.
  * debian/fastforward.preinst, debian/fastforward.postrm: no longer
    add/remove diversion of Debian qmail's /usr/sbin/newaliases
    program.
  * debian/control: Standards-Version: 3.8.0.1.

 -- Gerrit Pape <pape@smarden.org>  Wed, 27 Aug 2008 20:38:42 +0000

fastforward (1:0.51-1) unstable; urgency=low

  * debian/rules: remove target configure:; use glibc by default instead
    of dietlibc; new target patch: apply diff from debian/diff/; install
    into /var/lib/qmail/ instead of /var/qmail/; target binary-arch: run
    dpkg-shlibdeps; target clean: remove debian/substvars; target build:
    set conf-qmail, restore orig in target clean:.
  * debian/diff/0001-error.h-cdb_seek.c-include-errno.h-instead-of.diff:
    new: error.h, cdb_seek.c: '#include <errno.h>' instead of 'extern
    int errno;'.
  * debian/implicit: update to revision a09db2e.
  * debian/gcc/: remove; obsolete.
  * debian/fastforward.docs: remove INSTALL.
  * debian/rules: no longer install ~alias/.qmail-default.
  * debian/fastforward.conffiles: remove; obsolete.
  * debian/fastforward.examples: new; add debian/qmail-default.
  * debian/control: no longer Build-Depends: dietlibc; no longer
    Depends: qmail, but Recommends:; Depends: ${shlibs:Depends};
    Build-Depends: groff-base; Standards-Version: 3.7.3.0; update short
    and long descriptions.
  * debian/copyright: upstream sources and debian diff is in the public
    domain.
  * debian/fastforward.README.Debian: redo.
  * debian/changelog: add epoch 1 to supersede unofficial package.
  * upload to Debian/main (closes: #484765).
  * debian/fastforward.preinst, debian/fastforward.postrm: add/remove
    diversion of Debian qmail's /usr/sbin/newaliases program.

 -- Gerrit Pape <pape@smarden.org>  Mon, 09 Jun 2008 20:59:30 +0000

fastforward (0.51-zarge2) sarge; urgency=low

  * build against sarge's dietlibc-dev (0.28-3).

 -- Gerrit Pape <pape@smarden.org>  Thu, 26 May 2005 18:57:16 +0000

fastforward (0.51-zarge1) sarge; urgency=low

  * debian/rules: minor cleanup.
  * debian/implicit: update to revision 1.10.

 -- Gerrit Pape <pape@smarden.org>  Sun, 15 Aug 2004 16:21:29 +0000

fastforward (0.51-zarge0.3) sarge; urgency=low

  * debian/control: no longer Build-Depends: dephelper; remove
    Standards-Version.
  * debian/rules: stop using debhelper, use implicit rules.
  * debian/implicit: new; implicit Makefile rules.
  * debian/README.Debian, debian/conffiles, debian/docs: rename to
    fastforward.*.
  * debian/dirs, debian/links.in: remove; obsolete.
  * debian/copyright: minor.

 -- Gerrit Pape <pape@smarden.org>  Mon, 12 Apr 2004 13:55:01 +0000

fastforward (0.51-zarge0.2) sarge; urgency=low

  * use diet libc.
  * debian/rules: new target configure: set up diet program as c compiler
    wrapper; conditionally overwrite PATH to have diet program used as c
    compiler wrapper; minor cleanup.
  * debian/gcc/gcc*: new; diet program as c compiler wrapper.
  * debian/control: Build-Depends: dietlibc-dev; no longer Depends:
    ${shlibs:Depends}.

 -- Gerrit Pape <pape@smarden.org>  Wed, 12 Nov 2003 12:34:52 +0000

fastforward (0.51-woody1) woody; urgency=low

  * bump version for release.

 -- Gerrit Pape <pape@smarden.org>  Tue,  9 Jul 2002 11:05:18 +0200

fastforward (0.51-woody0.2) woody; urgency=low

  * debian/rules: use numeric uids and gids to avoid build-dependency
    on qmail-uids-gids.

 -- Gerrit Pape <pape@smarden.org>  Thu, 28 Mar 2002 10:23:24 +0100

fastforward (0.51-woody0.1) woody; urgency=low

  * woody package; new Standards-Version: 3.5.2.
  * postinst script removed.

 -- Gerrit Pape <pape@smarden.org>  Tue, 23 Oct 2001 15:35:21 +0200

fastforward (0.51-1) stable; urgency=low

  * /var/qmail/alias/.qmail-default marked as conffile.
  * 1st debian version.


